import request from '@/utils/request'

//查询列表
export function getList(data){
  return request({
    url:'/open/home/mobile/zyyctcList',
    method:'get',
    params:data
  })
}

//删除列表项
export function removeList(id){
  return request({
    url:'/open/home/mobile/yctcRemove/'+id,
    method:'get'
  })
}

//宅基地流转详情
export function getZyyctc(id){
  return request({
    url:'/open/home/mobile/getZyyctc/'+id,
    method:'get'
  })
}

//宅基地流转详情
export function dyAdd(data){
  return request({
    url:'/open/home/mobile/zyyctcAdd',
    method:'post',
    data:data
  })
}
// 条件查询使用权人列表
export function selectHomesteadObligeeMapList(query) {
  return request({
    url: '/open/home/mobile/selectHomesteadObligeeMapList',
    method: 'get',
    params: query
  })
}
//宅基地信息
export function getByLyZjddm(data){
  return request({
    url:'/open/home/mobile/getByZjddm/'+ data,
    method:'get',
  })
}

// 查询农民房屋列表
export function listHomesteadnmfw(query) {
  return request({
    url: '/open/home/mobile/nmfwList',
    method: 'get',
    params: query
  })
}

//查询当前登录账号坐标
export function getQueryLand(id) {
  return request({
    url: '/open/home/mobile/get/current/' + id,
    method: 'get'
  })
}
//宅基地流转保存
export function zyyctcEdit(data){
  return request({
    url:'/open/home/mobile/editZyyctc',
    method:'post',
    data:data
  })
}

//宅基地流转提交
/*export function zyyctcApply(id){
  return request({
    url:'/house/zyyctc/submitApply/'+id,
    method:'post',
  })
}*/
export function zyyctcApply(id){
  return request({
    url:'/open/home/mobile/paidExitSubmitApply/'+id,
    method:'post',
  })
}

// 查询权利人列表
export function getShyqrs(query) {
  return request({
    url: '/open/home/mobile/getShyqrs',
    method: 'get',
    params: query
  })
}
